com.mapinfo.midev.geometry

## Class CurveInterpolationType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.geometry.CurveInterpolationType

All Implemented Interfaces:
  Serializable, Comparable

    public final class CurveInterpolationType
    extends Enum

Identification of the different ways the control points of a curve segment can be connected.

See Also:
  Serialized Form

### Field Summary

Fields
`static CurveInterpolationType` `CIRCULAR_ARC_3_POINTS` A segment that is an arc of a circle defined by three points; the first and last points are the start and end position of the arc, and the arc goes through the middle point.
`static CurveInterpolationType` `LINEAR` A segment consisting of the control points connected by straight lines.

### Method Summary

All Methods Static Methods Concrete Methods
`static CurveInterpolationType` `valueOf(String name)`
`static CurveInterpolationType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LINEAR

    public static final CurveInterpolationType LINEAR

A segment consisting of the control points connected by straight lines.

See Also:
  `ILineString`

#### CIRCULAR_ARC_3_POINTS

    public static final CurveInterpolationType CIRCULAR_ARC_3_POINTS

A segment that is an arc of a circle defined by three points; the first and last points are the start and end position of the arc, and the arc goes through the middle point.

### Method Detail

#### values

    public static CurveInterpolationType[] values()

#### valueOf

    public static CurveInterpolationType valueOf(String name)